NNG_REP_OPEN(3)

NAME
nng_rep_open - create rep socket

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/reqrep0/rep.h>

    int nng_rep0_open(nng_socket *s);

    int nng_rep0_open_raw(nng_socket *);

DESCRIPTION

The nng_rep0_open() function creates a rep version 0 socket and returns it at the location pointed to by s.

The nng_rep0_open_raw() function creates a rep version 0 socket in raw mode and returns it at the location pointed to by s.

RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The protocol is not supported.

SEE ALSO

nng_socket(5), nng_rep(7), nng_req(7), nng(7)